# Copyright 2019-2023 Canonical Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from ols import base

# derived configs #


def layer_options():
    from charms import layer

    return layer.options().get('ols-wsgi', {})


def status_path():
    return layer_options().get('status_path', '')


def gunicorn_config_file():
    return "/srv/gunicorn/{}.py".format(base.service_name())


def environment_file():
    return "/srv/gunicorn/environment_variables"


def config_files():
    files = []
    files.extend(base.config_files())
    files.append('/etc/init/gunicorn.conf')
    files.append(gunicorn_config_file())
    files.append(environment_file())
    return files
